Subject: Debugging DLL's, Cannot load the Symbol Table
From: [email-masked] (Dushyant Sharma)

9 Oct 1998 01:22:32 -0700
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

I have a problem while debugging the DLL's.  I set break
point on the functions main ()
(gdb) break main
Breakpoint 1 at 0x401048: file tclAppInit.c, line 52.
(gdb)file pkgsource.dll
get a prompt asking > Load new symbol table from pkgsource.dll
>click yes
>get the following lines in command buffer
Reading symbols from pkgsource.dll...done.
Error in re-setting breakpoint 1:
Function "main" not defined.
(gdb)run
Starting program: /abc/yyy/pkgsource.dll
Error creating process /abc/yyy/pkgsource.dll,(error 193)

Could you tell how can the symbols for a relocatbale dll be loaded
cleanly. Such as to debug the DLL.

I saw you response on the Cygwin32 WebSite.

Thanks,

D. Sharma

-----
Free e-mail group hosting at http://www.eGroups.com/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".